<?php
/**
 * Plugin dashboard header template
 *
 * @package URG
 */

?>
<h1>
	<?php
	// Translators: %1$s - Theme name, %2$s - Theme version.
	echo esc_html( sprintf( __( 'Welcome to %1$s %2$s', 'urg' ), esc_html__('Ultimate Row Gradient Background', 'urg'), URG_Dashboard::get_plugin_version_number('ultimate-magnium-addons') ) );
	?>
</h1>
<div class="about-text"><?php echo esc_html( "Thank you! You just purchased one of our best WordPress plugins and we hope you'll like it!", 'urg' ); ?>

</div>
<a target="_blank" href="<?php echo esc_url( 'https://magniumthemes.com/' ); ?>" class="wp-badge">MagniumThemes</a>

<h2 class="nav-tab-wrapper">
    <a href="<?php echo esc_url(admin_url( 'admin.php?page=urg_dashboard' )); ?>" class="nav-tab <?php echo empty($_REQUEST['page']) || $_REQUEST['page'] == 'urg_dashboard' ? 'nav-tab-active' : ''; ?>"><?php esc_html_e( 'Getting started', 'urg' ); ?></a>
</h2>
