<?php
/*
* Helper class
*/
if (!class_exists('URG_Helper')) {
  class URG_Helper {

    /**
     * Esc data filter
    */
    static function urg_esc_data() {
      $allowed_tags =
          array(
            'a' => array(
              'href' => array(),
              'title' => array(),
              'class' => array(),
              'data' => array(),
              'data-style' => array(),
              'rel'   => array(),
              'style' => array()
            ),
            'div' => array(
              'class' => array(),
              'data' => array(),
              'data-style' => array(),
              'style' => array()
            ),
            'span' => array(
              'class' => array(),
              'data' => array(),
              'data-style' => array(),
              'style' => array()
            ),
            'i' => array(
               'class' => array(),
               'style' => array()
            ),
            'iframe' => array(
              'src' => array(),
              'class' => array(),
              'data' => array(),
              'data-style' => array(),
              'allow' => array(),
              'allowfullscreen' => array(),
              'width' => array(),
              'height' => array(),
              'frameborder' => array(),
              'style' => array()
            ),
            'img' => array(
              'src' => array(),
              'class' => array(),
              'style' => array()
            ),
            'style' => array(
              'scoped' => array()
            ),
            'h1' => array(
              'class' => array(),
              'data' => array(),
              'data-style' => array(),
              'style' => array()
            ),
            'h2' => array(
              'class' => array(),
              'data' => array(),
              'data-style' => array(),
              'style' => array()
            ),
            'h3' => array(
              'class' => array(),
              'data' => array(),
              'data-style' => array(),
              'style' => array()
            ),
            'h4' => array(
              'class' => array(),
              'data' => array(),
              'data-style' => array(),
              'style' => array()
            ),
            'h5' => array(
              'class' => array(),
              'data' => array(),
              'data-style' => array(),
              'style' => array()
            ),
            'h6' => array(
              'class' => array(),
              'data' => array(),
              'data-style' => array(),
              'style' => array()
            ),
            'sub' => array(
              'class' => array(),
            ),
            'sup' => array(
              'class' => array(),
            ),
      );

      return $allowed_tags;
    }

    // Generate random element id
    static function urg_generate_id() {
      return rand(100000, 900000);
    }
  }
}
